package net.sf.doolin.context.support;

import net.sf.doolin.util.PatternFormat;

import org.springframework.beans.factory.annotation.Required;

public class ServiceNamePatternFactoryBean<F> extends
		AbstractServiceNameFactoryBean<F> {

	private String serviceNamePattern;

	@Override
	protected String createBeanName(String beanName) {
		PatternFormat format = new PatternFormat(this.serviceNamePattern);
		beanName = format.format(beanName);
		return beanName;
	}

	public String getServiceNamePattern() {
		return this.serviceNamePattern;
	}

	@Required
	public void setServiceNamePattern(String serviceNamePattern) {
		this.serviceNamePattern = serviceNamePattern;
	}

}
