package net.sf.doolin.context.util;

import net.sf.jstring.JStrings;

import javax.annotation.PostConstruct;
import java.util.ArrayList;
import java.util.List;

/**
 * This class can be registered as a bean in a Spring configuration in order to
 * initialise the paths in {@link net.sf.jstring.JStrings} utility class.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class StringBundles {

	private List<String> paths = new ArrayList<String>(0);

	/**
	 * Registers the paths in {@link net.sf.jstring.JStrings}.
	 */
	@PostConstruct
	public void init() {
		for (String path : paths) {
			JStrings.add(path);
		}
	}

	/**
	 * Returns the paths
	 * 
	 * @return List<String>
	 */
	public List<String> getPaths() {
		return paths;
	}

	/**
	 * Sets the paths to register in {@link JStrings}.
	 * 
	 * @param paths
	 *            List<String>
	 */
	public void setPaths(List<String> paths) {
		this.paths = paths;
	}

}
